package com.hzya.frame.sys.flow.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 映射信息主表(SysFlowStepConfig)实体类
 *
 * @author xiang2lin
 * @since 2025-04-29 10:16:28
 */
public class SysFlowStepConfigEntity extends BaseEntity {
 
  /**  流程id */
   private String flowId;
  /**  步骤id */
   private String stepId;
  /**  流程操作步骤配置表id */
   private String setpConfigId;
  /**  操作类型 */
   private String actionName;
  /**  数据库类型;数据库类型+版本 */
   private String dbType;
  /**  表名称 */
   private String tableName;
  /**  页码 */
   private String rowNum;
  /**  每页条数 */
   private String pageLimit;
  /**  增量数据字段;例如ts */
   private String maxValueField;
  /**  是否建表 */
   private String createTableFlag;
  /**  写入模式;覆盖写入/增量写入 */
   private String writeType;
  /**  动态sql语句 */
   private String sqlStatement;

   //步骤账户表id
   private String stepAccountId;

    public String getFlowId() {
        return flowId;
    }

    public void setFlowId(String flowId) {
        this.flowId = flowId;
    }

    public String getStepId() {
        return stepId;
    }

    public void setStepId(String stepId) {
        this.stepId = stepId;
    }

    public String getSetpConfigId() {
        return setpConfigId;
    }

    public void setSetpConfigId(String setpConfigId) {
        this.setpConfigId = setpConfigId;
    }

    public String getActionName() {
        return actionName;
    }

    public void setActionName(String actionName) {
        this.actionName = actionName;
    }

    public String getDbType() {
        return dbType;
    }

    public void setDbType(String dbType) {
        this.dbType = dbType;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getRowNum() {
        return rowNum;
    }

    public void setRowNum(String rowNum) {
        this.rowNum = rowNum;
    }

    public String getpageLimit() {
        return pageLimit;
    }

    public void setpageLimit(String pageLimit) {
        this.pageLimit = pageLimit;
    }

    public String getMaxValueField() {
        return maxValueField;
    }

    public void setMaxValueField(String maxValueField) {
        this.maxValueField = maxValueField;
    }

    public String getCreateTableFlag() {
        return createTableFlag;
    }

    public void setCreateTableFlag(String createTableFlag) {
        this.createTableFlag = createTableFlag;
    }

    public String getWriteType() {
        return writeType;
    }

    public void setWriteType(String writeType) {
        this.writeType = writeType;
    }

    public String getSqlStatement() {
        return sqlStatement;
    }

    public void setSqlStatement(String sqlStatement) {
        this.sqlStatement = sqlStatement;
    }

    public String getStepAccountId() {
        return stepAccountId;
    }

    public void setStepAccountId(String stepAccountId) {
        this.stepAccountId = stepAccountId;
    }
}

